Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRBaseFiller.BoundElementMap

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRBaseFiller.BoundElementMap

Enclosing class:
  JRBaseFiller

    public class JRBaseFiller.BoundElementMap

extends java.lang.Object

Map class to be used for bound elements.

Keeps print elements to fill elements maps. If per page element maps are used, such maps are kept per page.

Author:
  John Bindel

Method Summary
`void` | `clear()`
`java.util.Map` | `getMap()`
`java.util.Map` | `getMap(JRPrintPage page)`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` If per page map is required, the entry will also be added for the current print page.
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value, JRPrintPage keyPage)` Keep track of the objects per page for our virtualizer.
`java.util.Map` | `putMap(JRPrintPage page, java.util.Map valueMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value,
                                JRPrintPage keyPage)

  Keep track of the objects per page for our virtualizer.

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  If per page map is required, the entry will also be added for the current print page.

### clear

    public void clear()

### getMap

    public java.util.Map getMap()

### getMap

    public java.util.Map getMap(JRPrintPage page)

### putMap

    public java.util.Map putMap(JRPrintPage page,
                                java.util.Map valueMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com